WEBPAY de GITHUB dansanti/payment_webpay

[email protected]

Buen día (noches realmente). Estoy intentando probar el módulo payment_webpay pero se me presenta un problema que no logro superar.

- Utilizo Odoo 11
- He cargado el módulo payment_webpay sin problemas.
- He cargado los certificados de prueba de transbank (key, crt y pem) de la integración normal.

Al intentar realizar el pago con webpay se presenta el siguiente problema:

Traceback (most recent call last):
  File "/opt/odoo/extra-addons/payment_webpay/models/wsse/signing.py", line 188, in verify
    ctx.verify(signature)
xmlsec.VerificationError: Signature is invalid.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 829, in dispatch
    r = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/extra-addons/payment_webpay/controllers/main.py", line 150, in redirect_webpay
    result =  acquirer.initTransaction(post)
  File "/opt/odoo/extra-addons/payment_webpay/models/webpay.py", line 163, in initTransaction
    wsInitTransactionOutput = client.service.initTransaction(init)
  File "/usr/lib/python3/dist-packages/suds/client.py", line 566, in __call__
    return client.invoke(args, kwargs)
  File "/usr/lib/python3/dist-packages/suds/client.py", line 705, in invoke
    result = self.send(soapenv)
  File "/usr/lib/python3/dist-packages/suds/client.py", line 753, in send
    return self.process_reply(reply.message, None, None)
  File "/usr/lib/python3/dist-packages/suds/client.py", line 788, in process_reply
    ctx = plugins.message.received(reply=reply)
  File "/usr/lib/python3/dist-packages/suds/plugin.py", line 276, in __call__
    method(ctx)
  File "/opt/odoo/extra-addons/payment_webpay/models/wsse/suds.py", line 63, in received
    verify(context.reply, self.their_certfile)
  File "/opt/odoo/extra-addons/payment_webpay/models/wsse/signing.py", line 192, in verify
    raise SignatureVerificationFailed()
odoo.addons.payment_webpay.models.wsse.exceptions.SignatureVerificationFailed

¿Alguien habrá pasado por esto y sabrá como puedo corregirlo?

Oscar Andrés Núñez Pinto
Oscar Andrés Núñez Pinto
7
| 0 0 1
Preguntado en 15-05-18 4:33
0
voto
238 Vistas

Me autocorrijo...
Los certificados del SDK no sirven. Se deben descargar las CREDENCIALES DE PRUEBA disponibles en el sitio de Transbankdevelopers. Estos me funcionaron al toke.

Slds
ONP

Oscar Andrés Núñez Pinto
Oscar Andrés Núñez Pinto
7
| 0 0 1
Respondido en 15-05-18 4:57
0
voto

Su respuesta

Trate por favor de dar una respuesta sustancial. Si quiere comentar en la pregunta o la respuesta, sólo use la herramiento de comentarios. Recuerde que siempre puede revise sus respuestas - no hay necesidad de responder dos veces la misma pregunta. También no olvide votar - ¡ayuda realmente a seleccionar las mejores preguntas y respuestas!

Realizar una pregunta

Mantener informado

Sobre este foro 

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios.

Lea las directrices

Herramientas de las preguntas

69 seguidor(es)

Estadísticas

Preguntado: 15-05-18 4:33
Visto: 238 veces
Última actualización: 15-05-18 4:57